%define	name	ext2ed
%define	version	0.1
%define	rel	25
%define	release	%mkrel 26

Summary:	An ext2 filesystem editor
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		System/Kernel and hardware 
BuildRequires:	ncurses-devel readline-devel e2fsprogs-devel
Source0:	ftp://sunsite.unc.edu/pub/Linux/system/filesystems/ext2/%{name}-%{version}.tar.bz2
Patch0:		ext2ed-0.1-config.patch.bz2
Patch1:		ext2ed-0.1-inode.patch.bz2
Patch2:		ext2ed-0.1-glibc.patch.bz2
Patch3:		ext2ed-0.1-compat21.patch.bz2
Patch4:		ext2ed-0.1-noreadline.patch.bz2
Patch5:		ext2ed-0.1-linux2.6-buildfix.patch.bz2
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
# this should only be built on little endian machines!
ExclusiveArch:	alpha %{ix86} ppc x86_64

%description
Ext2ed is a program which provides a text and window interface for
examining and editing an ext2 filesystem.  Ext2ed is supposed to be
easier to use than debugfs, but debugfs is more powerful.  Note that
this program should only be used by someone who is very experienced at
hacking filesystems.  

Install ext2ed if you want to examine and/or edit your ext2 filesystem,
and you know what you're doing.

%prep
%setup -q
%patch -p0 -b .config
%patch1 -p1 -b .inode
%patch2 -p1 -b .glibc
%patch3 -p1 -b .compat21
%patch4 -p1 -b .noreadline
%patch5 -p1 -b .peroyvind

%build
%make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT{%{_bindir},%{_mandir}/man8,%{_localstatedir}}

make	BIN_DIR=$RPM_BUILD_ROOT%{_bindir} \
	MAN_DIR=$RPM_BUILD_ROOT%{_mandir}/man8 \
	VAR_DIR=$RPM_BUILD_ROOT%{_localstatedir}/ext2ed \
	install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{_localstatedir}/ext2ed
%{_bindir}/ext2ed
%{_mandir}/man8/ext2ed.8*
%doc doc/user-guide-0.1.sgml
%doc doc/user-guide-0.1.ps
%doc doc/Ext2fs-overview-0.1.sgml

%changelog
* Wed Nov 01 2006 Texstar <texstar@houston.rr.com> 0.1-26pclos2007
- Build for PCLinuxOS 2007

